CopyBlueprintStage
Copies a blueprint from one stage to another.
Request Syntax
PUT /blueprints/blueprintArn/copy-stage HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"sourceStage": "string",
"targetStage": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- blueprintArn
-
The blueprint's ARN.
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
arn:aws(|-cn|-us-gov):bedrock:[a-zA-Z0-9-]*:(aws|[0-9]{12}):blueprint/(bedrock-data-automation-public-[a-zA-Z0-9-_]{1,30}|[a-zA-Z0-9-]{12,36})Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
To avoid creating duplicate resources, specify a unique token for this operation.
Type: String
Length Constraints: Minimum length of 33. Maximum length of 256.
Pattern:
[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}Required: No
- sourceStage
-
The stage to copy from.
Type: String
Valid Values:
DEVELOPMENT | LIVERequired: Yes
- targetStage
-
The stage to copy to.
Type: String
Valid Values:
DEVELOPMENT | LIVERequired: Yes
Response Syntax
HTTP/1.1 200
Response Elements
If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
HTTP Status Code: 403
- InternalServerException
-
HTTP Status Code: 500
- ResourceNotFoundException
-
HTTP Status Code: 404
- ThrottlingException
-
HTTP Status Code: 429
- ValidationException
-
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: